MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031714Open CASCADE[OCCT] OCCT:DRAWpublic2020-08-18 10:062020-08-22 16:12
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031714: Draw Harness - print command name with intense within help output
DescriptionIt is proposed printing command name within help output with intense to make it more distinguishable.
TagsNo tags attached.
Test case numberNot required
Attached Filespng file icon draw_help_intense.png (36,680 bytes) 2020-08-18 10:12
png file icon draw_help_yellow.png (36,906 bytes) 2020-08-18 20:13
png file icon linux_man_cp.png (26,345 bytes) 2020-08-18 20:15

- Relationships
child of 0031188verifiedbugmaster Draw Harness - enable colorized messages output to console by default 

-  Notes
(0093528)
git (administrator)
2020-08-18 10:16

Branch CR31714 has been created by kgv.

SHA-1: bedbd5fd9c97f7ce09e789fb32171038127f8877


Detailed log of new commits:

Author: kgv
Date: Tue Aug 18 10:10:50 2020 +0300

    0031714: Draw Harness - print command name with intense within help output
    
    Added command "dputs" similar to "puts" but with extra arguments modifying text color/intensity.
    Command "help" now prints the name of command with intense style.
(0093529)
kgv (developer)
2020-08-18 12:52

Patch is ready for review in OCCT branch CR31714.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31714-master-KGV [^]
(0093533)
abv (manager)
2020-08-18 17:16

Reviewed, please integrate.

A question: would not it be even nicer to make command names yellow?
(0093538)
kgv (developer)
2020-08-18 20:17

> would not it be even nicer to make command names yellow?
Yellow is currently associated with warning and trace messages in OCCT, so I think it will might be confusing in this context.

man on Linux also prefers to intense white text instead of applying some colors.
(0093590)
bugmaster (administrator)
2020-08-22 16:01

Combination -
OCCT branch : IR-2020-08-21
master SHA - 1d99a2baaa614856d8ef8b0a9975af5c3bdf92c6
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-08-21 SHA - 9541102e96ff9ee3aeec6e3e32f20f63b3b38556
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17322.48000000014 / 17160.470000000118 [+0.94%]
Products
Total CPU difference: 11882.560000000085 / 11820.020000000079 [+0.53%]
Windows-64-VC14:
OCCT
Total CPU difference: 18716.078125 / 18725.125 [-0.05%]
Products
Total CPU difference: 13242.09375 / 13316.109375 [-0.56%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0093603)
git (administrator)
2020-08-22 16:12

Branch CR31714 has been deleted by inv.

SHA-1: bedbd5fd9c97f7ce09e789fb32171038127f8877

- Related Changesets
occt: master 63e5cfca
Timestamp: 2020-08-18 07:10:50
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031714: Draw Harness - print command name with intense within help output

Added command "dputs" similar to "puts" but with extra arguments modifying text color/intensity.
Command "help" now prints the name of command with intense style.
mod - src/Draw/Draw_BasicCommands.cxx Diff ] File ]
mod - src/DrawResources/StandardCommands.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-08-18 10:06 kgv New Issue
2020-08-18 10:06 kgv Assigned To => kgv
2020-08-18 10:12 kgv File Added: draw_help_intense.png
2020-08-18 10:16 git Note Added: 0093528
2020-08-18 11:36 kgv Relationship added child of 0031188
2020-08-18 12:52 kgv Note Added: 0093529
2020-08-18 12:52 kgv Assigned To kgv => abv
2020-08-18 12:52 kgv Status new => resolved
2020-08-18 17:16 abv Note Added: 0093533
2020-08-18 17:16 abv Assigned To abv => bugmaster
2020-08-18 17:16 abv Status resolved => reviewed
2020-08-18 20:13 kgv File Added: draw_help_yellow.png
2020-08-18 20:15 kgv File Added: linux_man_cp.png
2020-08-18 20:17 kgv Note Added: 0093538
2020-08-22 16:01 bugmaster Note Added: 0093590
2020-08-22 16:01 bugmaster Status reviewed => tested
2020-08-22 16:03 bugmaster Test case number => Not required
2020-08-22 16:06 bugmaster Changeset attached => occt master 63e5cfca
2020-08-22 16:06 bugmaster Status tested => verified
2020-08-22 16:06 bugmaster Resolution open => fixed
2020-08-22 16:12 git Note Added: 0093603


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker